package de.hdm_stuttgart.battlearena.Persistance.Classes;

import org.apache.logging.log4j.Logger;
import org.apache.logging.log4j.LogManager;

public class PlayerStatistics {
    private static final Logger log = LogManager.getLogger(PlayerStatistics.class);

    private String playerName;
    private int gamesLost;
    private int gamesWon;
    private int kills;
    private int deaths;
    private int blocksDestroyed;
    private int gameTime;

    public PlayerStatistics(String playerName, int gamesLost, int gamesWon, int kills, int deaths, int blocksDestroyed, int gameTime) {
        this.playerName = playerName;
        this.gamesLost = gamesLost;
        this.gamesWon = gamesWon;
        this.kills = kills;
        this.deaths = deaths;
        this.blocksDestroyed = blocksDestroyed;
        this.gameTime = gameTime;
    }

    public String getPlayerName() {
        return playerName;
    }

    public void setPlayerName(String playerName) {
        this.playerName = playerName;
    }

    public int getGamesLost() {
        return gamesLost;
    }

    public void setGamesLost(int gamesLost) {
        this.gamesLost = gamesLost;
    }

    public int getGamesWon() {
        return gamesWon;
    }

    public void setGamesWon(int gamesWon) {
        this.gamesWon = gamesWon;
    }

    public int getKills() {
        return kills;
    }

    public void setKills(int kills) {
        this.kills = kills;
    }

    public int getDeaths() {
        return deaths;
    }

    public void setDeaths(int deaths) {
        this.deaths = deaths;
    }

    public int getBlocksDestroyed() {
        return blocksDestroyed;
    }

    public void setBlocksDestroyed(int blocksDestroyed) {
        this.blocksDestroyed = blocksDestroyed;
    }

    public int getGameTime() {
        return gameTime;
    }

    public void setGameTime(int gameTime) {
        this.gameTime = gameTime;
    }



}
