package de.hdm_stuttgart.battlearena.Persistance.Classes;

import org.apache.logging.log4j.LogManager;
import org.apache.logging.log4j.Logger;

public class MapData {
    private static final Logger log = LogManager.getLogger(Persistence.class);

    private String mapID;
    private String mapName;
    private int mapWidth;
    private int mapHeight;
    private String mapData;

    protected MapData(String mapID, String mapName, int mapWidth, int mapHeight, String mapData) {
        try {
            this.mapID = mapID;
            this.mapName = mapName;
            this.mapWidth = mapWidth;
            this.mapHeight = mapHeight;
            this.mapData = mapData;
        }
        catch (Exception e){
            log.error(e);
        }
    }

    public String getMapID() {
        return mapID;
    }

    public String getMapName() {
        return mapName;
    }

    public int getMapWidth() {
        return mapWidth;
    }

    public int getMapHeight() {
        return mapHeight;
    }

    public String getMapData() {
        return mapData;
    }

}
